<?php
error_reporting (E_ALL ^ E_NOTICE);
include 'mysql.php';

$editmode = false;

// Do we need to 'do' anything?
if ($_GET['do'] == 'add') {
	// Add a new ad:
	$link = ss($_POST['link']);
	$image = ss($_POST['image']);
	$adtype = ss($_POST['adtype']);
	$priority = ss($_POST['priority']);

	// Check everything, and insert new ad
	if (!empty($link) AND !empty($image) AND !empty($adtype) AND !empty($priority)) {
		$db->query ("INSERT INTO ad (link, image, adtype, priority) VALUES ('$link', '$image', '$adtype', '$priority');");
	}
} elseif ($_GET['do'] == 'edit') {
	// Get a new ad, for editing:
	$id = intval($_GET['id']);
	$editad = $db->query_first ("SELECT adid, link, image, adtype, priority FROM ad WHERE adid = $id");

	// Turn on edit mode
	if ($editad !== false) {
		$editmode = true;
	}
} elseif ($_GET['do'] == 'update') {
	// Update an ad
	$id = intval($_GET['id']);

	$link = ss($_POST['link']);
	$image = ss($_POST['image']);
	$adtype = ss($_POST['adtype']);
	$priority = ss($_POST['priority']);

	// Check everything, and update ad
	if (!empty($link) AND !empty($image) AND !empty($adtype) AND !empty($priority)) {
		$db->query ("UPDATE ad SET link = '$link', image = '$image', adtype = '$adtype', priority = '$priority' WHERE adid = $id");
	}
} elseif ($_GET['do'] == 'delete') {
	// Delete an ad
	$id = intval($_GET['id']);

	$db->query ("DELETE FROM ad WHERE adid = $id");
}

// Get ads from DB
$ads = $db->sql_query ("SELECT adid, link, image, adtype, priority FROM ad ORDER by adid");

// Which action for the form?
if ($editmode == true) { $action = 'update&id=' . $_GET['id']; } else { $action = 'add'; }


?>
<html>
	<head>
		<title>Advertising Manager</title>

		<link rel="stylesheet" href="style.css" type="text/css" media="screen" />
	</head>

	<body>
	<div id="container">
		<h1 id="banner">Advertising Manager</h1>

		<div id="content">
			<h2>Advertisements</h2>
			<table cellspacing="5" cellpadding="15">
				<tr>
					<th>Link</th>
					<th>ImageSrc</th>
					<th>Ad Type</th>
					<th>Priority?</th>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				</tr>

			<?php
				foreach ($ads as $ad):
					echo '<tr>';
					echo '<td>' . $ad['link'] . '</td>';
					echo '<td>' . $ad['image'] . '</td>';
					echo '<td>' . $ad['adtype'] . '</td>';
					echo '<td>' . $ad['priority'] . '</td>';
					echo '<td><a href="manage.php?do=edit&id=' . $ad['adid'] . '#do">Edit</a>';
					echo '<td><a href="manage.php?do=delete&id=' . $ad['adid'] . '" onclick="return confirm(\'Are you sure?\');">Delete</a>';
					echo '</tr>';


				endforeach;
			?>
			</table>
			
			<br />


			<h2 id="do"><?php if ($editmode) { echo 'Edit Advertisement'; } else { echo 'Add an advertisement'; } ?></h2>
			<form action="manage.php?do=<?php echo $action; ?>" method="POST">
			<table>
				<tr>
					<th>Link: </th>
					<td><input type="text" name="link" value="<?php echo htmlentities($editad['link']); ?>" /></td>
				</tr>
				<tr>
					<th>ImageSrc: </th>
					<td><input type="text" name="image" value="<?php echo htmlentities($editad['image']); ?>" /></td>
				</tr>
				<tr>
					<th>Ad Type: </th>
					<td><input type="text" name="adtype" value="<?php echo htmlentities($editad['adtype']); ?>" /></td>
				</tr>
				<tr>
					<th>Priority? </th>
					<td>
						<input type="radio" name="priority" <?php if($editad['priority'] == 'yes') echo 'checked="checked"'; ?> value="yes" id="priority_yes" />&nbsp;<label for="priority_yes">Yes</label>&nbsp;&nbsp;
						<input type="radio" name="priority" <?php if($editad['priority'] == 'no' OR $editmode == false) echo 'checked="checked"'; ?> value="no" id="priority_no" />&nbsp;<label for="priority_no">No</label>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<input type="submit" value="<?php if ($editmode) { echo 'Update Advertisement'; } else { echo 'Add Advertisement'; } ?>" />
					</td>
				</tr>
			</table>
		</div>

		<div id="copyright">
			Copyright &copy; 2005 Dennis Pallett. All Rights Reserved.<br />
			Part of an article series on <a href="http://www.phpit.net">PHPit - Totally PHP</a>.
		</div>

		<br /><br /><br /><br /><br /><br />




	</div>
	</body>
</html>

